import usb

VENDOR_RQ_SET_LED    = 0
VENDOR_RQ_GET_SWITCH = 1
VENDOT_RQ_GET_V = 2
def find_board():
    board = None
    for bus in usb.busses():
        for dev in bus.devices:
            if dev.idVendor == 0x16c0 and dev.idProduct == 0x05dc:
                return dev
    return None

board = find_board()
handle = board.open()
temp = 0.0

while(1):
	print "===========MeNU============"
	print "1. Celcius"
	print "2. Kalvin"
	print "3. Farienhite"
	print "4. QUIT"
	choice = int(raw_input("Enter your choice : "))
	if choice == 1:
	 	req = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_IN
		k = handle.controlMsg(req, 9, 10)
		temp =float(k[1])
		print "TEMPERATURE IN CELCIUS IS :"+ str(k[1])+" C"
	elif choice == 2:
	 	req = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_IN
		k = handle.controlMsg(req, 9, 10)
		temp =float(k[1])
		temp = temp + 273
		print "TEMPERATURE IN Kalvin IS :"+str(temp)+" K"
	elif choice == 3:
	 	req = usb.TYPE_VENDOR | usb.RECIP_DEVICE | usb.ENDPOINT_IN
		k = handle.controlMsg(req, 9, 10)
		temp =float(k[1])
		temp = (tmp*9/5)+32
		print "TEMPERATURE IN Farienhite : "+str(temp)+" F"
	elif choice == 4:
		exit()
	else:
		print "!!!Pls Enter Correct Choice!!!"
